Package ru.bitel.bgbilling.modules.email.common.bean

# Class Domain

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.email.common.bean.Domain

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`

    public class Domain
    extends Id
    implements GuiTitlable

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Domain()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `java.lang.String` | `getName()` |
  `ParameterMap` | `getParameterMap()` |
  `java.lang.String` | `getParams()` |
  `int` | `getPos()` |
  `void` | `inherit​(Domain domain)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setParams​(java.lang.String params)` |
  `void` | `setPos​(int pos)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Domain

    public Domain()

- ## Method Details

  - ### getName

    public java.lang.String getName()

  - ### getParams

    public java.lang.String getParams()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### setParams

    public void setParams​(java.lang.String params)

  - ### getParameterMap

    public ParameterMap getParameterMap()

  - ### inherit

    public void inherit​(Domain domain)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos​(int pos)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.